netatalk: auth.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
auth.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/stat.h>`
`#include <atalk/afp.h>`
`#include <atalk/compat.h>`
`#include <atalk/util.h>`
`#include <limits.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <pwd.h>`
`#include <grp.h>`
`#include <atalk/logger.h>`
`#include "uam_auth.h"`

## Functions
int | getuamnames (const int type, char *uamnames)
struct uam_obj * | auth_uamfind (const int type, const char *name, const int len)
int | auth_register (const int type, struct uam_obj *uam)
int | auth_load (const char *path, const char *list)
void | auth_unload (void)

## Variables
static struct uam_mod | uam_modules = {NULL, NULL, &uam_modules, &uam_modules}
static struct uam_obj | uam_login
static struct uam_obj | uam_changepw
static struct uam_obj | uam_printer

## Function Documentation

## ◆ auth_load()

int auth_load | ( | const char * | path,
|  | const char * | list )

load all of the modules

## ◆ auth_register()

int auth_register | ( | const int | type,
|  | struct uam_obj * | uam )

## ◆ auth_uamfind()

struct uam_obj * auth_uamfind | ( | const int | type,
|  | const char * | name,
|  | const int | len )

just do a linked list search. this could be sped up with a hashed list, but i doubt anyone's going to have enough uams to matter.

## ◆ auth_unload()

void auth_unload | ( | void |  | ) |

get rid of all of the uams

## ◆ getuamnames()

int getuamnames | ( | const int | type,
|  | char * | uamnames )

Return a list of names for loaded uams

## Variable Documentation

## ◆ uam_changepw

struct uam_obj uam_changepw
| static

Initial value:
= {"", "", 0, {{NULL, NULL, NULL}}, &uam_changepw,
&uam_changepw
}
uam_changepw
static struct uam_obj uam_changepw
Definition afpd/auth.c:66
NULL
#define NULL
Definition utf8util.c:47

## ◆ uam_login

struct uam_obj uam_login
| static

Initial value:
= {"", "", 0, {{NULL, NULL, NULL}}, &uam_login,
&uam_login
}
uam_login
static struct uam_obj uam_login
Definition afpd/auth.c:63

## ◆ uam_modules

struct uam_mod uam_modules = {NULL, NULL, &uam_modules, &uam_modules}
| static

## ◆ uam_printer

struct uam_obj uam_printer
| static

Initial value:
= {"", "", 0, {{NULL, NULL, NULL}}, &uam_printer,
&uam_printer
}
uam_printer
static struct uam_obj uam_printer
Definition papd/auth.c:35